Name:       sl
Version:    5.07.git.51.59e9e53c
Release:    1%{?dist}
Summary:    SL (Steam Locomotive) runs across your terminal when you type "sl" as you meant to type "ls".

License:    SL
URL:        https://github.com/scaryrawr/sl
VCS:        git+https://github.com/scaryrawr/sl#59e9e53c807d35388475a3d4a902908066c6fc41:

Source:    sl-59e9e53c.tar.gz

BuildRequires:  gcc
BuildRequires:  cmake
BuildRequires:  cargo
BuildRequires:  rust
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(ncursesw)

%description
SL (Steam Locomotive) runs across your terminal when you type "sl" as you meant to type "ls".

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%license LICENSE

%prep
%setup -T -b 0 -q -n sl

%build
cargo build --release

%install
install -D -p -m 755 target/release/sl %{buildroot}%{_bindir}/sl
install -D -p -m 644 sl.1 %{buildroot}%{_mandir}/man1/sl.1
install -D -p -m 644 sl.1.ja %{buildroot}%{_mandir}/man1/sl.1.ja

%changelog
* Wed Dec 11 2024 Mike Wallio <michael.wallio@outlook.com> 6.0.0-rc1
(none)

* Sun Dec 01 2024 Mike Wallio <michael.wallio@outlook.com> 5.07-1
(none)
